Thursday, 16 March 2017

Re: aptdaemon

Hey Barry,

Le 15/03/2017 à 20:44, Barry Warsaw a écrit :
> Given the state of aptdaemon, I think it's in Ubuntu's interest to drop it,
> but that means porting or dropping language-selector-gnome, oem-config-gtk
> (src:ubuquity), and sessioninstaller. I don't know what the states of those
> packages are, so the best I can do is file bugs against them.
We have been wanting to move to proper packagekit for several cycles, in
fact we tried to do that for xenial when we started using gnome-software
since that's what upstream is using. Bugs had been open but so far we
didn't find people with free slots to work on converting those to
packagekit.

Of course you can check open bugs and files some new one but that's not
likely to help much moving the topic forward if we don't find people or
team to step up to work on that...

Note that at least for language-selector pitti mentioned in the past
that aptdaemon has some specific feature that isn't available in
packagekit so we might need to invest some work on packagekit itself as
well.

> Given where we are in the Zesty cycle, I recommend just dropping aptdaemon
> 1.1.1+bzr982-0ubuntu17 from -proposed and marking LP: #1623856 as Won't Fix.
> Let's try to drop aptdaemon from Ubuntu in Acrobatic Aardvark.
The change is a trivial gtk property tweak, why would we discard the fix
rather than just force migrating the new version in, since it has no
actual regression?

Cheers,
Sebastien Bacher



--
ubuntu-devel mailing list
[email protected]
Modify settings or unsubscribe at: https://lists.ubuntu.com/mailman/listinfo/ubuntu-devel